Skip to main content

Get All Queues

GET 

/v1/sandbox/:sandbox_id/queue

Get all Queues for a sandbox

Requires any of permissions: sandbox:config:view, sandbox:config:edit

Request

Path Parameters

    sandbox_id uuidrequired

    Sandbox ID

Query Parameters

    page_size Page Size

    Possible values: >= 1 and <= 10000

    Default value: 50

    The maximum number of elements to be returned per call

    queue_ids string[]

    Queue IDs to filter by

    name Name

    Possible values: non-empty and <= 128 characters

    Filter by case insensitive name

    cursor Cursor

    Possible values: non-empty and <= 128 characters

    Default value: 0

    Cursor to designate where you are in iterating through values. Start with '0', and pass this on subsequent calls to continue iteration

Responses

Successful Response

Schema

    cursor Cursor (string)required

    Possible values: non-empty and <= 128 characters

    Cursor to designate where you are in iterating through values. Start with '0', and pass this on subsequent calls to continue iteration

    queues

    object[]

    required

    A list of queues

  • Array [

  • name Name (string)

    Possible values: non-empty and <= 125 characters

    Name of the resource

    description Description (string)

    Possible values: <= 250 characters

    Description of the resource

    custom_data

    object

    Custom data associated with the resource

    property name* string
    active Active (boolean)required

    Flag for whether or not the queue is active, and can be joined or sessions created from it

    max_queue_group_size Max Queue Group Size (integer)required

    Possible values: >= 1

    The maximum size of a group that can join this queue

    match_making_template_group_id uuidrequired

    ID for which group of matchmaking templates/rules will be used when joining this queue

    legacy_config

    object

    Old config used by Legacy systems. These values are ignored by the current APIs

    queue_id Queue Id (integer)

    Default value: 0

    Old queue id

    min_players_per_side Min Players Per Side (integer)

    Default value: 0

    Minimum number of players on each side in a match resulting from this queue

    max_players_per_side Max Players Per Side (integer)

    Default value: 0

    Maximum number of players on each side in a match resulting from this queue

    num_sides Num Sides (integer)

    Default value: 2

    Number of sides in a match resulting from this queue

    ranking_type Ranking Type (integer)

    Default value: 0

    Legacy ranking_type_id for this queue

    sandbox_id uuid

    ID of the Sandbox

    last_modified_account_id uuid

    Account ID of the user who last modified the resource

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    created_timestamp date-time

    Timestamp of when this resource was created

    queue_id uuidrequired

    ID to uniquely identify this queue

  • ]

Loading...